package com.gic.jpa.service.impl;

import com.gic.jpa.entity.SallerAddress;
import com.gic.jpa.repository.SallerAddressRepository;
import com.gic.jpa.service.SallerAddressService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;


/**
 * @author 蘑小菇
 * @Description:
 * @date 2018/11/16 16:54
 */


@Service("sallerAddressService")
public class SallerAddressServiceImpl implements SallerAddressService {

    @Autowired
    private SallerAddressRepository sallerAddressRepository;

    @Override
    public String createSallerAddress(SallerAddress address) {
        sallerAddressRepository.save(address);
        return address.getSellerAddressId();
    }

    @Override
    public void updateSallerAddress(SallerAddress address) {
        sallerAddressRepository.save(address);
    }

    @Override
    public void removeSallerAddress(String addressId) {
        sallerAddressRepository.delete(addressId);
    }

    @Override
    public SallerAddress findSallerAddress(String addressId) {
        return sallerAddressRepository.findOne(addressId);
    }

    @Override
    public List<SallerAddress> listSallerAddress() {

        return sallerAddressRepository.findAll();
    }
}

