package com.gic.jpa;

import com.gic.jpa.entity.SallerAddress;
import com.gic.jpa.service.SallerAddressService;
import org.junit.Test;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Date;
import java.util.List;

public class SallerAddressTest extends GicJpaDemoApplicationTests {

    private static final Logger logger = LoggerFactory.getLogger(SallerAddressTest.class);

    @Autowired
    private SallerAddressService sallerAddressService;

    @Test
    public void save() {
        SallerAddress o = new SallerAddress();
        o.setEnterpriseId("ff808081593917d90159398ec6340012");
        o.setContactName("联系人");
        o.setContactPhone("18689658965");
        o.setAddressType(2);
        o.setSeatMachine("434");
        o.setProvinceId("110000");
        o.setProvinceName("北京市");
        o.setCityId("110100");
        o.setCityName("北京市区");
        o.setAreaId("110101");
        o.setAreaName("东城区");
        o.setAddressDetail("向东再向西");
        o.setCreateTime(new Date());
        o.setUpdateTime( new Date());

        String id= sallerAddressService.createSallerAddress(o);
        logger.info("data id :{} ",id);
    }

    @Test
    public void get() {
        SallerAddress o= sallerAddressService.findSallerAddress("ff808081667b50f601667b8e8e3a0004");
        logger.info("data:{}",o.toString());
    }


    @Test
    public void insertAndUpdate() {
        List<SallerAddress> list = sallerAddressService.listSallerAddress();
    }

}

